---
title: Chef Habitat 0.55.0 Released
date: 2018-03-21
author: Elliott Davis
tags: release notes
category: product
classes: body-article
---

We are happy to announce the release of Chef Habitat 0.55.0. We have a number of new features as well as bug fixes, so please read on for all the details. If you just want the binaries, head on over to [Install Chef Habitat](https://www.habitat.sh/docs/using-habitat/#install-habitat). Thanks again for using Chef Habitat!

## Highlights:

* [Feature] Ability to create and upload secrets via the hab cli
* [Feature] Improve startup time of Windows container studios
* [Feature] Windows container Studio runs its background supervisor as a service
* [Bugfix] Windows Supervisor honors a plan's pkg_svc_user
* [Bugfix] Windows container Studio correctly streams Supervisor output from Get-SupervisorLog
* [Bugfix] Updated default.toml files are seen on package update (fixes [#4576](https://github.com/habitat-sh/habitat/issues/4576))
* [Bugfix] Launcher now reaps orphaned zombie processes (fixes [#4412](https://github.com/habitat-sh/habitat/issues/4412))

### Chef Habitat Origin Secrets

In a previous release we enabled users to pass in secrets to the studio. With this release, you can now create secrets for your Chef Habitat origin in Builder. These secrets are encrypted locally before they are uploaded to Builder. *Only* Builder can decrypt these secrets. Once a secret is attached to your origin it will be passed into your Builder jobs as part of the build. This is really useful for things like ssh keys, AWS credentials etc.

#### Usage

```
hab origin secret upload <KEY> <VALUE>
hab origin secret list
hab origin secret delete <KEY>
```
### Chef Habitat Launcher: New Version Released, Please Update

This release of Chef Habitat includes a new release of the Launcher, a small binary that the Supervisor uses to help manage its supervised  processes. Whereas the Supervisor is able to automatically update itself, the Launcher is currently released a bit differently, by design;  it should be rare that the Launcher ever needs to change. To update your Launchers, you will need to run `hab pkg install core/hab-launcher` on each machine that has a Supervisor, and then restart your  Supervisor. This will, by necessity, require a restart of supervised  services, so factor that into your planning.

While we always recommend using the latest code, this Launcher is of particular interest for Linux users that may be running the Launcher as PID 1 in non-container deployments. If that applies to you, you'll want to upgrade to take advantage of the Launcher's new zombie reaping capabilities. Users running Chef Habitat packages in exported Docker containers will only need to re-export their packages to use the new Launcher. If neither applies to you, then updating the Launcher is not strictly required at this time, but please plan to update at your earliest convenience.

# Chef Habitat CHANGELOG

## [0.55.0](https://github.com/habitat-sh/habitat/tree/0.55.0) (03-20-2018)
[Full Changelog](https://github.com/habitat-sh/habitat/compare/0.54.0...0.55.0)

## Features & Enhancements

- Document installing and running private packages from builder [\#4733](https://github.com/habitat-sh/habitat/issues/4733)
- Move http-client crate over to the core repository [\#4726](https://github.com/habitat-sh/habitat/issues/4726)
- Move segment-api-client crate to Builder repository [\#4724](https://github.com/habitat-sh/habitat/issues/4724)
- Move to a DataDog StatsD client for metrics to allow for tagged metrics [\#4723](https://github.com/habitat-sh/habitat/issues/4723)
- Better process for package removal [\#4712](https://github.com/habitat-sh/habitat/issues/4712)
- Update hab setup to collect a Chef Habitat generated token [\#4709](https://github.com/habitat-sh/habitat/issues/4709)
- Feature Request: hab pkg upload should default to the most recently built artifact [\#4703](https://github.com/habitat-sh/habitat/issues/4703)
- Windows Container Studio does not stream supervisor log [\#4665](https://github.com/habitat-sh/habitat/issues/4665)
- \[data collection\] Decompose Builder Job Status data  [\#4632](https://github.com/habitat-sh/habitat/issues/4632)
- Document all variables available in templates [\#4626](https://github.com/habitat-sh/habitat/issues/4626)
- \[www\] Fix no-results message view [\#4591](https://github.com/habitat-sh/habitat/issues/4591)
- Suggestion: Have search results link to sections of the page searched [\#4561](https://github.com/habitat-sh/habitat/issues/4561)
- Supervisor/Launcher should reap zombie processes [\#4412](https://github.com/habitat-sh/habitat/issues/4412)
- \[builder ui\] Update label 'Tutorial' to 'Learn' in bldr global nav [\#4384](https://github.com/habitat-sh/habitat/issues/4384)
- Add clarification around copyable commands [\#4361](https://github.com/habitat-sh/habitat/issues/4361)
- Add Kubernetes exporter to UI [\#4213](https://github.com/habitat-sh/habitat/issues/4213)
- Re-do release changelog generation process [\#4181](https://github.com/habitat-sh/habitat/issues/4181)
- Builder: better error messages when having github authentication errors [\#4153](https://github.com/habitat-sh/habitat/issues/4153)
- Document how to evaluate a release candidate [\#4768](https://github.com/habitat-sh/habitat/pull/4768) ([christophermaier](https://github.com/christophermaier))
- Document how to evaluate a release candidate [\#4768](https://github.com/habitat-sh/habitat/pull/4768) ([christophermaier](https://github.com/christophermaier))
- add note to release doc about killing non release builds after tag push [\#4767](https://github.com/habitat-sh/habitat/pull/4767) ([mwrock](https://github.com/mwrock))
- add note to release doc about killing non release builds after tag push [\#4767](https://github.com/habitat-sh/habitat/pull/4767) ([mwrock](https://github.com/mwrock))
- \[studio\] Update stage1 tarball. [\#4766](https://github.com/habitat-sh/habitat/pull/4766) ([fnichol](https://github.com/fnichol))
- Complete documentation coverage of all templating variables [\#4760](https://github.com/habitat-sh/habitat/pull/4760) ([christophermaier](https://github.com/christophermaier))
- Encrypt and upload secrets. [\#4706](https://github.com/habitat-sh/habitat/pull/4706) ([elliott-davis](https://github.com/elliott-davis))
- do not check mounts entering windows container studio [\#4668](https://github.com/habitat-sh/habitat/pull/4668) ([mwrock](https://github.com/mwrock))
- pkg-export-k8s: Remove redundant newline filtering code [\#4648](https://github.com/habitat-sh/habitat/pull/4648) ([zeenix](https://github.com/zeenix))
- Add release notes 0.54.0 [\#4644](https://github.com/habitat-sh/habitat/pull/4644) ([tashimi](https://github.com/tashimi))
- Add asp.net core tutorial [\#4624](https://github.com/habitat-sh/habitat/pull/4624) ([mwrock](https://github.com/mwrock))

## Bug fixes

- Document installing and running private packages from builder [\#4733](https://github.com/habitat-sh/habitat/issues/4733)
- hab-studio on linux should not require root/sudo when using docker [\#4716](https://github.com/habitat-sh/habitat/issues/4716)
- windows packages are not honoring `pkg\_svc\_user` [\#4685](https://github.com/habitat-sh/habitat/issues/4685)
- \\[www\\] Fix no-results message view [\#4591](https://github.com/habitat-sh/habitat/issues/4591)
- Adding new values to default.toml don't get rendered in package updates [\#4576](https://github.com/habitat-sh/habitat/issues/4576)
- builds fail when BusyBox `mount` exits non-zero [\#4391](https://github.com/habitat-sh/habitat/issues/4391)
- Builds from web UI and CLI behave differently [\#4317](https://github.com/habitat-sh/habitat/issues/4317)
- Updated default.toml files are seen on package update [\#4777](https://github.com/habitat-sh/habitat/pull/4777) ([christophermaier](https://github.com/christophermaier))
- Set PATH metadata file to only contain my bin dirs [\#4722](https://github.com/habitat-sh/habitat/pull/4722) ([elliott-davis](https://github.com/elliott-davis))
- use join for x-plat friendly root paths [\#4713](https://github.com/habitat-sh/habitat/pull/4713) ([mwrock](https://github.com/mwrock))

## Closed issues

- runc [\#4742](https://github.com/habitat-sh/habitat/issues/4742)
- test [\#4728](https://github.com/habitat-sh/habitat/issues/4728)
- Increase visibility / better explanation of Chef Habitat access tokens in builder doc [\#4721](https://github.com/habitat-sh/habitat/issues/4721)
- Docker build failed when trying to publish to Docker Hub Container Registry [\#4705](https://github.com/habitat-sh/habitat/issues/4705)
- test issue - ignore [\#4704](https://github.com/habitat-sh/habitat/issues/4704)
- Document use of Kubernetes exporter [\#4630](https://github.com/habitat-sh/habitat/issues/4630)
- pkg\_bind\_map multiple consumer services in composite file [\#4601](https://github.com/habitat-sh/habitat/issues/4601)

## Merged pull requests

- Pin core/docker to 17.09.9 for cfize and dockerize [\#4786](https://github.com/habitat-sh/habitat/pull/4786) ([elliott-davis](https://github.com/elliott-davis))
- Release 0.55.0 [\#4785](https://github.com/habitat-sh/habitat/pull/4785) ([elliott-davis](https://github.com/elliott-davis))
- Adds azure as a push location to the docker exporter [\#4783](https://github.com/habitat-sh/habitat/pull/4783) ([eeyun](https://github.com/eeyun))
- Adjusting my CODEOWNERS entries [\#4779](https://github.com/habitat-sh/habitat/pull/4779) ([raskchanky](https://github.com/raskchanky))
- Adding myself to the codeowners file [\#4778](https://github.com/habitat-sh/habitat/pull/4778) ([elliott-davis](https://github.com/elliott-davis))
- Link to /learn and /install-habitat from the README [\#4776](https://github.com/habitat-sh/habitat/pull/4776) ([cnunciato](https://github.com/cnunciato))
- add curlbash to linux install options + cleanup faq [\#4773](https://github.com/habitat-sh/habitat/pull/4773) ([brewn](https://github.com/brewn))
- errant slash [\#4757](https://github.com/habitat-sh/habitat/pull/4757) ([mgamini](https://github.com/mgamini))
- \[www\] Update the Install docs to use Personal Access Tokens [\#4755](https://github.com/habitat-sh/habitat/pull/4755) ([cnunciato](https://github.com/cnunciato))
- moving build system demo note in doc [\#4754](https://github.com/habitat-sh/habitat/pull/4754) ([brewn](https://github.com/brewn))
- add note about running private packages from builder [\#4753](https://github.com/habitat-sh/habitat/pull/4753) ([brewn](https://github.com/brewn))
- Add Kubernetes deployment flow infographic under Reference in Doc [\#4749](https://github.com/habitat-sh/habitat/pull/4749) ([apriofrost](https://github.com/apriofrost))
- Added some summary copy so it's clearer why we have this page. [\#4747](https://github.com/habitat-sh/habitat/pull/4747) ([juliandunn](https://github.com/juliandunn))
-  fixes pkg\_svc\_run when FS\_ROOT is set [\#4746](https://github.com/habitat-sh/habitat/pull/4746) ([mwrock](https://github.com/mwrock))
- Ignores sudo requirement for docker studio if user is member of "docker" [\#4739](https://github.com/habitat-sh/habitat/pull/4739) ([eeyun](https://github.com/eeyun))
- pkg-export-k8s: Simplify service bind handling [\#4737](https://github.com/habitat-sh/habitat/pull/4737) ([zeenix](https://github.com/zeenix))
- Fix Aliases sections in CLI docs [\#4736](https://github.com/habitat-sh/habitat/pull/4736) ([cnunciato](https://github.com/cnunciato))
- \#4718 Cloud Foundry blog post & get started page [\#4734](https://github.com/habitat-sh/habitat/pull/4734) ([mgamini](https://github.com/mgamini))
- Add documentation generator, also update the docs \(0.54.0\) [\#4732](https://github.com/habitat-sh/habitat/pull/4732) ([cnunciato](https://github.com/cnunciato))
- Delete http-client crate [\#4731](https://github.com/habitat-sh/habitat/pull/4731) ([christophermaier](https://github.com/christophermaier))
- document builder access token generation [\#4730](https://github.com/habitat-sh/habitat/pull/4730) ([brewn](https://github.com/brewn))
- Remove segment-api-client [\#4727](https://github.com/habitat-sh/habitat/pull/4727) ([christophermaier](https://github.com/christophermaier))
- Cleanup warning and other text [\#4720](https://github.com/habitat-sh/habitat/pull/4720) ([chefsalim](https://github.com/chefsalim))
- Remove ssh\_helpers since they're a duplicate of the copy in the build… [\#4717](https://github.com/habitat-sh/habitat/pull/4717) ([baumanj](https://github.com/baumanj))
- More complete Helm exporter [\#4715](https://github.com/habitat-sh/habitat/pull/4715) ([zeenix](https://github.com/zeenix))
- Updates for migration to Chef Habitat access tokens [\#4714](https://github.com/habitat-sh/habitat/pull/4714) ([chefsalim](https://github.com/chefsalim))
- Fix up the Personal Access Tokens blog post [\#4711](https://github.com/habitat-sh/habitat/pull/4711) ([cnunciato](https://github.com/cnunciato))
- Remove github-api-client crate [\#4710](https://github.com/habitat-sh/habitat/pull/4710) ([christophermaier](https://github.com/christophermaier))
- Personal access tokens blog post [\#4707](https://github.com/habitat-sh/habitat/pull/4707) ([chefsalim](https://github.com/chefsalim))
- Update and add infographics under Reference in Doc [\#4702](https://github.com/habitat-sh/habitat/pull/4702) ([apriofrost](https://github.com/apriofrost))
- Remove dead Github code [\#4700](https://github.com/habitat-sh/habitat/pull/4700) ([christophermaier](https://github.com/christophermaier))
- Added forum badge to readme [\#4698](https://github.com/habitat-sh/habitat/pull/4698) ([eeyun](https://github.com/eeyun))
- pkg-export-helm: Add dep on `helm` package [\#4695](https://github.com/habitat-sh/habitat/pull/4695) ([zeenix](https://github.com/zeenix))
- run service as current user if set to default hab user and hab does not exist [\#4694](https://github.com/habitat-sh/habitat/pull/4694) ([mwrock](https://github.com/mwrock))
- allow supervisor to start services as pkg\_svc\_user [\#4692](https://github.com/habitat-sh/habitat/pull/4692) ([mwrock](https://github.com/mwrock))
- Fix this link to demo [\#4691](https://github.com/habitat-sh/habitat/pull/4691) ([onlyhavecans](https://github.com/onlyhavecans))
- Drop a redundant step from Helm exporter blog post [\#4690](https://github.com/habitat-sh/habitat/pull/4690) ([zeenix](https://github.com/zeenix))
- Add CodeTriage badge to habitat-sh/habitat [\#4688](https://github.com/habitat-sh/habitat/pull/4688) ([codetriage-readme-bot](https://github.com/codetriage-readme-bot))
- Change $\* to "$@" when passing positional parameters so that paths with [\#4687](https://github.com/habitat-sh/habitat/pull/4687) ([baumanj](https://github.com/baumanj))
- Launcher now reaps orphaned zombie processes [\#4683](https://github.com/habitat-sh/habitat/pull/4683) ([christophermaier](https://github.com/christophermaier))
- Add docs for exporters [\#4680](https://github.com/habitat-sh/habitat/pull/4680) ([zeenix](https://github.com/zeenix))
- add doc notes related to windows container nuances [\#4678](https://github.com/habitat-sh/habitat/pull/4678) ([mwrock](https://github.com/mwrock))
- Fix docs rendering of docker command [\#4677](https://github.com/habitat-sh/habitat/pull/4677) ([predominant](https://github.com/predominant))
- add docs around Set-PSBreakpoint to get the same functionality as attach\(\) [\#4675](https://github.com/habitat-sh/habitat/pull/4675) ([mwrock](https://github.com/mwrock))
- Update call to decrypt after changes to core repo [\#4674](https://github.com/habitat-sh/habitat/pull/4674) ([elliott-davis](https://github.com/elliott-davis))
- run the supervisor as a service in a windows container studio [\#4667](https://github.com/habitat-sh/habitat/pull/4667) ([mwrock](https://github.com/mwrock))
- Fix Helm integration instructions. [\#4664](https://github.com/habitat-sh/habitat/pull/4664) ([juliandunn](https://github.com/juliandunn))
- If there is a query string, let's use it instead of dropping it silently [\#4663](https://github.com/habitat-sh/habitat/pull/4663) ([raskchanky](https://github.com/raskchanky))
- Add command to download encryption key [\#4658](https://github.com/habitat-sh/habitat/pull/4658) ([elliott-davis](https://github.com/elliott-davis))
- pkg-export-helm: Correct name of manifest template [\#4657](https://github.com/habitat-sh/habitat/pull/4657) ([zeenix](https://github.com/zeenix))
- add release notes step to release and make sure to include breaking changes [\#4653](https://github.com/habitat-sh/habitat/pull/4653) ([mwrock](https://github.com/mwrock))
- comment pkg\_source in init template to prevent build error [\#4652](https://github.com/habitat-sh/habitat/pull/4652) ([mwrock](https://github.com/mwrock))
- fix file extension in hab plan build ps1 error message [\#4651](https://github.com/habitat-sh/habitat/pull/4651) ([mwrock](https://github.com/mwrock))
- Fixes to Helm exporter blog post [\#4650](https://github.com/habitat-sh/habitat/pull/4650) ([zeenix](https://github.com/zeenix))
- Add habitat-operator install step [\#4649](https://github.com/habitat-sh/habitat/pull/4649) ([tashimi](https://github.com/tashimi))
- Fix date [\#4647](https://github.com/habitat-sh/habitat/pull/4647) ([tashimi](https://github.com/tashimi))
- Fix spacing [\#4646](https://github.com/habitat-sh/habitat/pull/4646) ([tashimi](https://github.com/tashimi))
- Bump development version to 0.55.0-dev [\#4643](https://github.com/habitat-sh/habitat/pull/4643) ([christophermaier](https://github.com/christophermaier))
- Make HAB\_STUDIO\_BINARY env var override work to run alternate studio … [\#4641](https://github.com/habitat-sh/habitat/pull/4641) ([baumanj](https://github.com/baumanj))
- Adds patching source blog post [\#4633](https://github.com/habitat-sh/habitat/pull/4633) ([burtlo](https://github.com/burtlo))